<?php
/**
 * The template used for displaying single portfolio
 *
 * @package lino
 * @since lino 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

		<?php if ( 'post' || 'jetpack-portfolio' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
			<?php echo get_the_term_list( $post->ID, 'jetpack-portfolio-type', '<span class="cat-links">', ', ', '</span>' ); ?> 
		<?php endif; // End if 'post' == get_post_type() ?>
		
		<?php if ( ! get_theme_mod( 'lino_hide_featured_image' ) ) : ?>
			<?php if ( has_post_thumbnail() && ! post_password_required() && ! is_attachment() ) : ?>
			<div class="entry-thumbnail">
				<?php the_post_thumbnail(); ?>
			</div>
			<?php endif; ?>
		<?php endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_content(); ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'lino' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php if ( 'post' || 'jetpack-portfolio' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
			<?php echo get_the_term_list( $post->ID, 'jetpack-portfolio-tag', '<span class="tag-links">Tags: ', ', ', '</span>' ); ?> 
		<?php endif; // End if 'post' == get_post_type() ?>
		
		<?php edit_post_link( __( 'Edit', 'lino' ), '<span class="edit-link">', '</span>' ); ?>		
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
