<?php
/**
 * Template Name: Portfolio Template
 *
 * @package lino
 */

get_header(); ?>

	<div id="primary" class="content-area column full portfolio-wrap">
		<main id="main" class="site-main grid-posts" role="main">
		
			<?php if ( ! get_theme_mod( 'lino_hide_portfolio_page_content' ) ) : ?>
					<?php while ( have_posts() ) : the_post(); ?>

							<?php the_title( '<header class="page-header"><h1 class="page-title">', '</h1></header>' ); ?>

							<div class="page-content">
									<?php
											the_content();
											wp_link_pages( array(
													'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'lino' ) . '</span>',
													'after'       => '</div>',
													'link_before' => '<span>',
													'link_after'  => '</span>',
											) );
									?>
							</div><!-- .page-content -->

					<?php endwhile; // end of the loop. ?>
			<?php endif; ?>
		
			<div class="portfolio-filter">
				<ul>
					<li id="filter--all" class="filter active" data-filter="*"><?php _e( 'View All', 'lino' ) ?></li>
					<?php 
						// list terms in a given taxonomy
						$taxonomy = 'jetpack-portfolio-type';
						$tax_terms = get_terms( $taxonomy );
	 
						foreach ( $tax_terms as $tax_term ) {
						echo '<li class="filter" data-filter=".'. $tax_term->slug.'">' . $tax_term->slug .'</li>';
						}
					?>
				</ul>
			</div>
 
			<div class="portfolio">
				<?php
					if ( get_query_var( 'paged' ) ) :
						$paged = get_query_var( 'paged' );
					elseif ( get_query_var( 'page' ) ) :
						$paged = get_query_var( 'page' );
					else :
						$paged = 1;
					endif;
	 
					$posts_per_page = get_option( 'jetpack_portfolio_posts_per_page', '9' );
	 
					$args = array(
						'post_type'      => 'jetpack-portfolio',
						'paged'          => $paged,
						'posts_per_page' => $posts_per_page,
					);
	 
					$project_query = new WP_Query ( $args );
	 
					if ( post_type_exists( 'jetpack-portfolio' ) && $project_query -> have_posts() ) :
	 
						while ( $project_query -> have_posts() ) : $project_query -> the_post();
	 
							get_template_part( 'content', 'filter' );
	 
						endwhile;
	 
						lino_paging_nav( $project_query->max_num_pages );
	 
						wp_reset_postdata();
	 
					else :
				?>
	 
				<?php get_template_part( 'content', 'none' ); ?>
				
				<?php endif; ?>
			
			</div>
			
		</main><!-- #main -->
	</div><!-- #primary -->
 
<?php get_footer(); ?>